Debian Bug report logs - #574789
RFP: freebsd-ppp -- FreeBSD Point-to-Point Protocol (PPP) userland daemon

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Sun, 21 Mar 2010 00:48:02 UTC

Severity: wishlist

Fixed in version freebsd-utils/8.2+ds2-9

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>:
Bug#574789; Package wnpp. (Sun, 21 Mar 2010 00:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to antoine beaupre <anarcat@anarcat.ath.cx>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>. (Sun, 21 Mar 2010 00:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: antoine beaupre <anarcat@anarcat.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: freebsd-ppp -- FreeBSD Point-to-Point Protocol (PPP) userland daemon
Date: Sat, 20 Mar 2010 16:45:25 -0400
Package: wnpp
Severity: wishlist
Owner: antoine beaupre <anarcat@koumbit.org>
Owner: antoine beaupre <anarcat@koumbit.org>


* Package name    : freebsd-ppp
  Version         : 8.0
  Upstream Author : Brian Somers <brian@Awfulhak.org>
* URL             : http://www.freebsd.org/doc/handbook/userppp.html
* License         : BSD
  Programming Lang: C
  Description     : FreeBSD Point-to-Point Protocol (PPP) userland daemon

The Point-to-Point Protocol provides a standard way to transmit
datagrams over a serial link, as well as a standard way for the machines
at either end of the link to negotiate various optional characteristics
of the link.

This package provides both a server and a client PPP daemon that runs in
userland. It has been ported from FreeBSD to function specifically with
the Debian GNU/kFreeBSD distribution.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>:
Bug#574789; Package wnpp. (Mon, 10 May 2010 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>. (Mon, 10 May 2010 00:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 574789@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@koumbit.org>
To: 577494@bugs.debian.org
Cc: 574789@bugs.debian.org
Subject: ppp progress tracked on the mailing list and ITP
Date: Sun, 9 May 2010 20:07:05 -0400
[Message part 1 (text/plain, inline)]
So I'm really puzzled about what to do with PPP at this point. It's part
of the unofficial freebsd-hackedutils, which I didn't know when I
started working on an official package for it (ITP #574789, in CC).

I have a mostly working package for freebsd-ppp at this point. I'm just
a bit of polishing and for the package to actually be uploaded
somewhere. I would think it wiser and simpler to have a separate package
for this than have it merged into the big "freebsd-utils" slump, but I
may be wrong...

At any rate, I think PPP progress should be tracked in the ITP instead
of here (#577494). If we don't want a separate package, that ITP should
be closed with explanations, if we do, I would very much welcome help
and feedback, especially to get that darn PPPoE working. :)

I'm tracking the status of that last bit through the mailing list:

http://lists.debian.org/debian-bsd/2010/05/msg00011.html

... but that shouldn't keep the package from being uploaded. I will not,
however, be likely to maintain the package if the PPPoE issues aren't
resolved, as I do not use plain old PPP at all right now.

Thanks for the help,

A.

-- 
Antoine Beaupré
Réseau Koumbit Networks
+1.514.387.6262
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>:
Bug#574789; Package wnpp. (Mon, 10 May 2010 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>. (Mon, 10 May 2010 01:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 574789@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: 574789@bugs.debian.org
Subject: tentative package available, review appreciated
Date: Sun, 9 May 2010 21:15:34 -0400
[Message part 1 (text/plain, inline)]
I have uploaded a package for freebsd-ppp in my personnal repo:

http://anarcat.ath.cx/debian/

It's particularly messy in that repo, just look at the freebsd-* files.
(For some reason, Koumbit's reprepro installation refuses my packages
with "No distribution accepting 'freebsd-ppp_8.0-1_kfreebsd-i386.changes'!"
even though I added the architecture to conf/distributions.)

I think it's mostly ready for upload, although it doesn't have all the
features the ppp bundled in freebsd-hackedutils has, since the latter
includes many custom libraries that I can't really ship here.

A.

-- 
There has been only one Christian.
They caught him and crucified him -- early.
                        - Mark Twain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>:
Bug#574789; Package wnpp. (Sat, 19 Feb 2011 17:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, antoine beaupre <anarcat@koumbit.org>. (Sat, 19 Feb 2011 17:48:08 GMT) Full text and rfc822 format available.

Message #20 received at 574789@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 574789@bugs.debian.org
Cc: control@bugs.debian.org
Subject: freebsd-ppp: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:07:40 +0000
retitle 574789 RFP: freebsd-ppp -- FreeBSD Point-to-Point Protocol (PPP) userland daemon
noowner 574789
thanks

Hi,

This is an automatic email to change the status of freebsd-ppp back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting freebsd-ppp, please send a mail to
<control@bugs.debian.org> with:

 retitle 574789 ITP: freebsd-ppp -- FreeBSD Point-to-Point Protocol (PPP) userland daemon
 owner 574789 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <574789@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: freebsd-ppp -- FreeBSD Point-to-Point Protocol (PPP) userland daemon' from 'ITP: freebsd-ppp -- FreeBSD Point-to-Point Protocol (PPP) userland daemon' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:52:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by antoine beaupre <anarcat@koumbit.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:52:11 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Antoine Beaupré <anarcat@debian.org>' from 'antoine beaupre <anarcat@anarcat.ath.cx>' Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 01:48:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'freebsd-utils'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 20:12:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 10 Nov 2011 15:36:03 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@debian.org>:
Bug acknowledged by developer. (Thu, 10 Nov 2011 15:36:03 GMT) Full text and rfc822 format available.

Message #35 received at 574789-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 574789-close@bugs.debian.org
Subject: Bug#574789: fixed in freebsd-utils 8.2+ds2-9
Date: Thu, 10 Nov 2011 15:33:35 +0000
Source: freebsd-utils
Source-Version: 8.2+ds2-9

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

devd_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/devd_8.2+ds2-9_kfreebsd-amd64.deb
freebsd-geom_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-geom_8.2+ds2-9_kfreebsd-amd64.deb
freebsd-net-tools-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
freebsd-net-tools_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.2+ds2-9_kfreebsd-amd64.deb
freebsd-nfs-common_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-common_8.2+ds2-9_kfreebsd-amd64.deb
freebsd-nfs-server_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-server_8.2+ds2-9_kfreebsd-amd64.deb
freebsd-ppp_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-ppp_8.2+ds2-9_kfreebsd-amd64.deb
freebsd-utils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
freebsd-utils_8.2+ds2-9.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-9.debian.tar.gz
freebsd-utils_8.2+ds2-9.dsc
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-9.dsc
freebsd-utils_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-9_kfreebsd-amd64.deb
kbdcontrol_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_8.2+ds2-9_kfreebsd-amd64.deb
kldutils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
kldutils_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_8.2+ds2-9_kfreebsd-amd64.deb
ktrace_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/ktrace_8.2+ds2-9_kfreebsd-amd64.deb
vidcontrol_8.2+ds2-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_8.2+ds2-9_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 574789@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Nov 2011 20:56:50 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common freebsd-geom freebsd-ppp devd ktrace
Architecture: source kfreebsd-amd64
Version: 8.2+ds2-9
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 devd       - Device state change daemon
 freebsd-geom - modular disk I/O request transformation framework
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 574789
Changes: 
 freebsd-utils (8.2+ds2-9) unstable; urgency=low
 .
   * Add freebsd-ppp package.  Thanks Antoine Beaupré.  (Closes: #574789)
   * Split devd and ktrace into their own packages.
   * Remove 040_kdump_multiarch.diff. It appears this patch became
     unnecessary with eglibc 2.13-12 when /usr/include/bits was restored.
Checksums-Sha1: 
 ef7726d049f93142cb790d7f6b3a750ab4141c47 2442 freebsd-utils_8.2+ds2-9.dsc
 04e4feded9084f0a66b5c3501a21f9f92f54ea0e 148519 freebsd-utils_8.2+ds2-9.debian.tar.gz
 342cc7a9de08c4ba34e6755af0688463b99f61a0 257352 freebsd-utils_8.2+ds2-9_kfreebsd-amd64.deb
 278920d04c5f19306b09cfc72711640fcc9963ce 14764 freebsd-utils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 09aaf9068eaf82153c98cc19d5b59766db68900e 39914 kldutils_8.2+ds2-9_kfreebsd-amd64.deb
 11e73ffb08bf4d2accb2f2a21a90124cf3c057ab 7348 kldutils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 600e32655e236c4ab7fd705a49325c37e71dbd9b 125226 kbdcontrol_8.2+ds2-9_kfreebsd-amd64.deb
 78449a79368b00afd565eeb4aa9e73d5aff41b31 120586 vidcontrol_8.2+ds2-9_kfreebsd-amd64.deb
 1af63fb4f96272bcc7ffcaad2b6721dbc90f3209 383348 freebsd-net-tools_8.2+ds2-9_kfreebsd-amd64.deb
 06e2a8b04b2ce45eb823aff040beddf49123d421 77464 freebsd-net-tools-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 c9057ceb7946e33abfb29fe0d39d8ec97908c159 66082 freebsd-nfs-server_8.2+ds2-9_kfreebsd-amd64.deb
 bd1d318a9be342803e5413566f20903848e815d2 76054 freebsd-nfs-common_8.2+ds2-9_kfreebsd-amd64.deb
 4e22006473eb0988cfc748b93bcb3fad0b511137 151408 freebsd-geom_8.2+ds2-9_kfreebsd-amd64.deb
 ae2eb1b2d09574fef675db1ec8b8460dc4f121b3 274940 freebsd-ppp_8.2+ds2-9_kfreebsd-amd64.deb
 0f3b2a54def03b46369b59e36ae8f5a101b16cd2 65816 devd_8.2+ds2-9_kfreebsd-amd64.deb
 64498d979a9b7ade0675687134638ce879fb4f3e 52166 ktrace_8.2+ds2-9_kfreebsd-amd64.deb
Checksums-Sha256: 
 dc043bb1da96c08c31f227454547b886cb04b32fec713e7bfa444f8a953cf67e 2442 freebsd-utils_8.2+ds2-9.dsc
 7ce12ad54bfdcd3bdf65457c42a32b4f4164cc2bca6aee494e3d061be2fb0fa5 148519 freebsd-utils_8.2+ds2-9.debian.tar.gz
 f7afba1ed5729a112e33a9ca72994d58a3ed77b57932038970bd03e1c905f4a0 257352 freebsd-utils_8.2+ds2-9_kfreebsd-amd64.deb
 c950d94cd79828552059832508c84b8fbd961210ce19576c09ded342f2527a7e 14764 freebsd-utils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 cd23ae9195cbecd4c782a93360273d1338ed9bac20cf2da9d881043f47e276e5 39914 kldutils_8.2+ds2-9_kfreebsd-amd64.deb
 8aa55c8b540ae330d352a24fc041bc9690827cecd13cef3711d3ee8c075fef00 7348 kldutils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 b63cb55e4c2f9597ad3b2a510330f4bb31b8ac9e3716bdece79b8bf557654215 125226 kbdcontrol_8.2+ds2-9_kfreebsd-amd64.deb
 a25ea5726d8776fcf5586e559ae7df5ae6d2a686cbf0543cf322eeb66da4eda7 120586 vidcontrol_8.2+ds2-9_kfreebsd-amd64.deb
 991139908362a36f1f97c34f62448f4613110086c44f47bbe2bb5952ef9c46f3 383348 freebsd-net-tools_8.2+ds2-9_kfreebsd-amd64.deb
 697cc9cbc15c9658c1186c0cbc44331cb58eaa6339e431ebf6dc93614ca2bc45 77464 freebsd-net-tools-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 3bb0fec2429b257c67444624fbc85103dd3e04e6b7d290d931a2e5302c6edf59 66082 freebsd-nfs-server_8.2+ds2-9_kfreebsd-amd64.deb
 2a8f038f0e2de177f2d1039dad4e6fbdafe9c809db14da41e390105372a5d94e 76054 freebsd-nfs-common_8.2+ds2-9_kfreebsd-amd64.deb
 74e6588b3f15497a2aa8f4d9bf5acf6eeab688f6558924bbdc589345042b2888 151408 freebsd-geom_8.2+ds2-9_kfreebsd-amd64.deb
 41f0d33b90f522276387e19d2634f6ceafcbd5f353139152b31a89e359ba8c3f 274940 freebsd-ppp_8.2+ds2-9_kfreebsd-amd64.deb
 ed5d463350ca28f8e7e32a8f101eb734d599d0ab638c70b6b1fcf7c73c38f365 65816 devd_8.2+ds2-9_kfreebsd-amd64.deb
 debd4f88f1efb349286a9165ed6bce62fff2107be7cd241df81b6a610a3ad6b0 52166 ktrace_8.2+ds2-9_kfreebsd-amd64.deb
Files: 
 230e10b0b6bb0aa849862f99f48f9308 2442 utils important freebsd-utils_8.2+ds2-9.dsc
 874be520fdc78828a692ef88f6ba2770 148519 utils important freebsd-utils_8.2+ds2-9.debian.tar.gz
 9a3a3da76f0e09e4e5ad3786c7f0399c 257352 utils required freebsd-utils_8.2+ds2-9_kfreebsd-amd64.deb
 edb280b4ebd2176d821f0a3543e62aef 14764 debian-installer optional freebsd-utils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 9e5bd3119e974fafd5653ef3828637e9 39914 utils important kldutils_8.2+ds2-9_kfreebsd-amd64.deb
 1c77512b04852c9b7759346fe5948e40 7348 debian-installer optional kldutils-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 83c140db71cf41bf80ac91a15ea95475 125226 utils important kbdcontrol_8.2+ds2-9_kfreebsd-amd64.deb
 badfb298408c08f48620b6c7fc553d1f 120586 utils important vidcontrol_8.2+ds2-9_kfreebsd-amd64.deb
 05657f95e31bbd2eaedad3774f72edac 383348 net important freebsd-net-tools_8.2+ds2-9_kfreebsd-amd64.deb
 3eecc60ee20af4e8e74dde2ace125611 77464 debian-installer important freebsd-net-tools-udeb_8.2+ds2-9_kfreebsd-amd64.udeb
 4dbbc5fb17040b8aecdea21af1bf75bd 66082 net optional freebsd-nfs-server_8.2+ds2-9_kfreebsd-amd64.deb
 96efa454feee47aebba82e173438a377 76054 net standard freebsd-nfs-common_8.2+ds2-9_kfreebsd-amd64.deb
 d51af9789a788948e43117c1aca7df39 151408 admin standard freebsd-geom_8.2+ds2-9_kfreebsd-amd64.deb
 815c5dd768cd8619f18ac66953aeb73d 274940 net optional freebsd-ppp_8.2+ds2-9_kfreebsd-amd64.deb
 dedd049174888ba4a4309b9bb73c1369 65816 admin important devd_8.2+ds2-9_kfreebsd-amd64.deb
 151a27efb69255ca728655f0a02c7e72 52166 utils optional ktrace_8.2+ds2-9_kfreebsd-amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iEYEARECAAYFAk663koACgkQC19io6rUCv9LnACcDlfPk0bGm0gYXuE4FWYUC1jG
9OQAn29FBx3xW4U1lUyd0xUOOyDMox55
=V96l
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Dec 2011 07:40:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:05:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.